<template>
  <div class="AlarmHandlingAnalysis">
    <div class="titleContainer">
      <div class="alarm-month">
        <p>140</p>
        <p>当月报警</p>
      </div>
      <div class="alarm-unhandle">
        <img src="@/assets/img/lifeline/riskMonitoring/alarm_unhandle.png" alt=""/>
        <div class="alarm-right">
          <p>未处置</p>
          <p>30</p>
        </div>
      </div>
      <div class="alarm-handle">
        <img src="@/assets/img/lifeline/riskMonitoring/alarm_handle.png" alt=""/>
        <div class="alarm-right">
          <p>已处置</p>
          <p>110</p>
        </div>
      </div>
    </div>
    <div class="tableContainer">
      <el-table
          height="100%"
          :data="listDatas"
          class="top"
          :header-cell-class-name="headerBg"
          :cell-style="{color:'#dce9f6',height:'40px'}"
      >
        <el-table-column align="center" prop="typeName" width="50px" label="类型"/>
        <el-table-column align="center" prop="grade" width="50px" label="级别"/>
        <el-table-column align="center" prop="address" label="位置" :show-overflow-tooltip="true"/>
      </el-table>
    </div>
  </div>
</template>

<script>
export default {
  name: 'AlarmHandlingAnalysis',
  components: {},
  data() {
    return {
      dataLists: [
        {
          id: 1,
          img: require('@/assets/img/lifeline/riskMonitoring/alarm_month.png'),
          name: '当月报警',
          num: 256
        },
        {
          id: 2,
          img: require('@/assets/img/lifeline/riskMonitoring/alarm_unhandle.png'),
          name: '未处置',
          num: 6
        },
        {
          id: 3,
          img: require('@/assets/img/lifeline/riskMonitoring/alarm_handle.png'),
          name: '已处置',
          num: 6
        }
      ],
      listDatas: [],
      titleDatas: [],
      stepNum: 0,
      className: ''
    }
  },
  created() {
    this.init()
  },
  methods: {
    init() {
      this.stepNum = 0.5
      this.listDatas = [
        {
          id: 1,
          typeName: '燃气',
          grade: '一级',
          address: '太白南路与科技二路交叉口',
          // alarmTime: '2022-06-15 16:32:38',
          // project: '燃气',
          // status: 0
        },
        {
          id: 2,
          typeName: '桥梁',
          grade: '二级',
          address: '长安中路与小寨西路交叉口',
          // alarmTime: '2022-10-21 13:18:26',
          // project: '桥梁',
          // status: 1
        },
        {
          id: 3,
          typeName: '供水',
          grade: '一级',
          address: '太乙路和咸宁西路交叉口向东200米',
          // alarmTime: '2021-08-22 19:23:46',
          // project: '供水',
          // status: 2
        }
      ]
      this.titleDatas = [
        {
          id: 1,
          name: '类型',
          fieldName: 'typeName'
        },
        {
          id: 2,
          name: '级别',
          fieldName: 'grade'
        },
        {
          id: 3,
          name: '位置',
          fieldName: 'address',
          width: 300
        },
        {
          id: 4,
          name: '报警时间',
          fieldName: 'alarmTime',
          width: 180
        },
        {
          id: 5,
          name: '所属专项',
          fieldName: 'project'
        },
        {
          id: 6,
          name: '状态',
          fieldName: 'status'
        }
      ]
    },
    headerBg() {
      return 'headerBg'
    }
  }
}
</script>

<style lang="scss" scoped>
.AlarmHandlingAnalysis {
  position: absolute;
  width: 100%;
  height: calc(100% - 40px);
  top: 40px;
  box-sizing: border-box;

  .titleContainer {
    width: 100%;
    height: 60px;
    display: flex;

    .alarm-month {
      width: 33.33%;
      display: flex;
      flex-direction: column;
      align-items: center;
      font-size: 12px;
      background: url("~@/assets/img/lifeline/riskMonitoring/alarm_month.png") no-repeat;
      background-size: 100% 100%;

      :nth-child(1) {
        background: linear-gradient(0deg, #45cdff 0%, #e5f9ff 100%);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
        font-size: 20.5px;
        font-family: PangMenZhengDao, PangMenZhengDao-Regular;
        font-weight: 400;
        text-align: center;
        color: #00d4b4;
        line-height: 18px;
        letter-spacing: 1.02px;
      }
    }

    .alarm-unhandle {
      width: 33.33%;
      display: flex;
      align-items: center;
      justify-content: center;
      font-size: 12px;
    }

    .alarm-handle {
      width: 33.33%;
      display: flex;
      justify-content: center;
      align-items: center;
      font-size: 12px;
    }

    .alarm-right {
      margin-left: 10px;

      :nth-child(2) {
        background: linear-gradient(0deg, rgba(62, 242, 255, 1) 0%, rgba(222, 222, 222, 1) 100%);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
        font-size: 16px;
        font-family: YouSheBiaoTiHei, YouSheBiaoTiHei-Regular;
        font-weight: 400;
        color: #ffffff;
        line-height: 15px;
        letter-spacing: 0.8px;
        //text-shadow: 0px 1.5px 12px 0px rgba(0,29,45,0.53);
      }
    }
  }

  .tableContainer {
    width: 100%;
    height: calc(100% - 60px);
    box-sizing: border-box;
  }
  ::v-deep .el-table, .el-table__expanded-cell {
    background-color: transparent;
  }

  ::v-deep .el-table tr {
    background-color: transparent !important;
  }
  ::v-deep .el-table--enable-row-transition .el-table__body td, .el-table .cell{
    border: none;
    background-color: transparent !important;
  }
  ::v-deep .el-table::before{
    height: 0px;
  }
}
::v-deep .el-table th.el-table__cell{
  background: transparent;
}
::v-deep .el-table .el-table__cell{
  padding: 0;
}
::v-deep .el-table {
  thead {
    color: #fff;
    font-weight: 500;
    background-image: url(~@/assets/img/lifeline/header_bg.png) !important;
    background-size: 100% 100% !important;
    background-repeat: no-repeat !important;
    & th {
      background-color: transparent;
    }
    & tr {
      background-color: transparent;
    }
  }
}
</style>
